import request from '@/utils/request'

// 查询印章列表
export function listStamp(query) {
  return request({
    url: '/bpm/oa-stamp-Stamp/page',
    method: 'get',
    params: query
  })
}

// 获取印章精简信息列表
export function listSimpleStamps() {
  return request({
    url: '/bpm/oa-stamp-Stamp/list',
    method: 'get'
  })
}

// 查询印章详细
export function getStamp(StampId) {
  return request({
    url: '/bpm/oa-stamp-Stamp/get?id=' + StampId,
    method: 'get'
  })
}

// 新增印章
export function addStamp(data) {
  return request({
    url: '/bpm/oa-stamp-Stamp/create',
    method: 'Stamp',
    data: data
  })
}

// 修改印章
export function updateStamp(data) {
  return request({
    url: '/bpm/oa-stamp-Stamp/update',
    method: 'put',
    data: data
  })
}

// 删除印章
export function delStamp(StampId) {
  return request({
    url: '/bpm/oa-stamp-Stamp/delete?id=' + StampId,
    method: 'delete'
  })
}

// 导出印章
export function exportStamp(query) {
  return request({
    url: '/bpm/oa-stamp-Stamp/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
